This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 127217 - Installer hangs/loops when loading sym53C1010 module
Installer hangs/loops when loading sym53C1010 module
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-04 10:58 EDT by Cokey de Percin
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:53:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Cokey de Percin 2004-07-04 10:58:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
Hardware: Tyan Thunder 2500; Dual 1G PenIII, 4G mem, Mylex 1100,
Adaptec & onboard Dual chan Symbios 53C1010 #1w/HP tape lib, CD-Rom,
DVD #2w/segate 4.5G 10K.  

NOTE:  This hardware is currenlty running RH 7.3 (with upgrades &
patches) & a custom 2.4.18-10 kernel using the Ver 1 Symbios driver
with no problems.

When the install tries to load the symbios module, the system seems to
get into a loop with the scsi bus reseting and then the module trying
again.  This will continue as long as you let it.  I've noticed
problems before w/Ver 2 in the 2.4 kernel which is why  I haven't used
it.  Ver 1 works correctly.  

Version-Release number of selected component (if applicable):
Whatever's in the Core 2 base install

How reproducible:
Always

Steps to Reproduce:
1. Start install
2.
3.
    

Actual Results:  System loops resetting the bus and trying again

Expected Results:  Should load and work as the Symbios Ver 1 driver

Additional info:

The install CD will boot from either the CD-Rom or DVD/CD-Rom that's
on the 1st channel of the Symbios controller.
Comment 1 Cokey de Percin 2004-07-26 21:17:59 EDT
I've done some more testing, but without any sucess.  Is there any
chance that the Ver 1 driver could be ported to the 2.6 kernel?  The
Ver 2 driver is definitely a problem.
Comment 2 Jaco Rietveld 2004-11-29 08:21:56 EST
Same problem here (using install CD's), module hangs when 
loading it :

scsi0: Sym-2.1.18j
  Vendor: QUANTUM Model: ATLAS10K2-TY734J
  Type: Direct-access ANSI SCSI revision: 03
scsi(0:0:0:0): Beginning Domain Validation
sym0:0:Wide asynchronous
sym0:0: ABORT operation started 
seconds at each ABORT and DEVICE RESET attempt
sym0:0: ABORT operation timed out
sym0:0: DEVICE RESET operation started
sym0:0: DEVICE RESET operation completed
sym0: SCSI bus has been reset
sym0:0: ABORT operation started
sym0:0: ABORT operation timed out
sym0:0: DEVICE RESET operation started
sym0:0: DEVICE RESET operation complete

Then hangs. Each Abort/Reset step takes 10-20 secs.
SCSI bus negociation issue?  Drive & Controller work fine on 
RH9 / 2.4.x
Comment 3 Dave Jones 2005-01-14 00:46:08 EST
did fc3 do any better on this hardware ?
Comment 4 Dave Jones 2005-04-16 00:53:48 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.